# ACE_RMCast::NoData Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::NoData:

[legend]
Collaboration diagram for ACE_RMCast::NoData:

[legend]
List of all members.

## Public Member Functions

| NoData (Header const &h, istream &)
| NoData ()
NoData_ptr | clone ()
virtual void | serialize_body (ostream &) const
virtual void | serialize_body (sstream &) const

## Static Public Attributes

u16 const | id = 0x0007

## Protected Member Functions

virtual Profile_ptr | clone_ ()
| NoData (NoData const &no_data)

## Constructor & Destructor Documentation

ACE_RMCast::NoData::NoData | ( | Header const & | h,
|  | istream & |
| ) | `[inline]`

ACE_RMCast::NoData::NoData | ( |  | ) | `[inline]`

ACE_RMCast::NoData::NoData | ( | NoData const & | no_data | ) | `[inline, protected]`

## Member Function Documentation

NoData_ptr ACE_RMCast::NoData::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::NoData::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::NoData::serialize_body | ( | sstream & |  | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::NoData::serialize_body | ( | ostream & |  | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

## Member Data Documentation

u16 const ACE_RMCast::NoData::id = 0x0007`[static]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp